# Google Cloud Deployment Manager API V2 . types

## Instance Methods

Lists all Types for Deployment Manager.

### Method Details

`list(project, pageToken=None, maxResults=None)`

    Lists all Types for Deployment Manager.

    Args:
      project: string, The project ID for this request. (required)
      pageToken: string, Specifies a nextPageToken returned by a previous list request. This token can be used to request the next page of results from a previous list request.
      maxResults: integer, Maximum count of results to be returned. Acceptable values are 0 to 100, inclusive. (Default: 50)

    Returns:
      An object of the form:

        { # A response that returns all Types supported by Deployment Manager
        "types": [ # Types supported by Deployment Manager
          { # A type supported by Deployment Manager.
            "name": "A String", # Name of the type.
          },
        ],
      }